var search_data = {"index":{"searchIndex":["dotopts","command","parser","<<()","apply()","arguments()","command()","command?()","configure!()","current?()","debug()","environment()","new()","new()","options_file()","parse()","parse()","parse_command()","parse_profiles()","profile()","profile=()","profile?()","project_root()","read_config()","remove_blanks()","shellwords()","subenv()","history","license","readme"],"longSearchIndex":["dotopts","dotopts::command","dotopts::parser","dotopts::command#<<()","dotopts::apply()","dotopts::command#arguments()","dotopts::command()","dotopts::command#command?()","dotopts::configure!()","dotopts::command#current?()","dotopts::debug()","dotopts::command#environment()","dotopts::command::new()","dotopts::parser::new()","dotopts::options_file()","dotopts::parser::parse()","dotopts::parser#parse()","dotopts::parser#parse_command()","dotopts::parser#parse_profiles()","dotopts::command#profile()","dotopts::command#profile=()","dotopts::command#profile?()","dotopts::project_root()","dotopts::read_config()","dotopts::parser#remove_blanks()","dotopts::command#shellwords()","dotopts::command#subenv()","","",""],"info":[["DotOpts","","DotOpts.html","",""],["DotOpts::Command","","DotOpts/Command.html","","<p>Command class encapsulate a configuration for a given command and a given profile.\n"],["DotOpts::Parser","","DotOpts/Parser.html","",""],["<<","DotOpts::Command","DotOpts/Command.html#method-i-3C-3C","(entry)","<p>Add argument or environment entries to command.\n<p>TODO: Is there too much “parsing” going on here? …\n"],["apply","DotOpts","DotOpts.html#method-c-apply","(argv, env={})","<p>Apply arguments and environment options.\n<p>@return [void]\n"],["arguments","DotOpts::Command","DotOpts/Command.html#method-i-arguments","()","<p>Arguments.\n<p>@return [Array]\n"],["command","DotOpts","DotOpts.html#method-c-command","()","<p>Get the current command.\n<p>@note This is take from basename of ‘$0`. In the future, we may\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">need</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">find</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["command?","DotOpts::Command","DotOpts/Command.html#method-i-command-3F","()","<p>Does the command’s name match the current command?\n<p>@return [Boolean]\n"],["configure!","DotOpts","DotOpts.html#method-c-configure-21","(io=nil)","<p>Configure\n<p>@param [String] file\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">The</span> <span class=\"ruby-identifier\">configuration</span> <span class=\"ruby-identifier\">file</span> <span class=\"ruby-identifier\">to</span> <span class=\"ruby-identifier\">load</span>. (<span class=\"ruby-identifier\">optional</span>)\n</pre>\n"],["current?","DotOpts::Command","DotOpts/Command.html#method-i-current-3F","()","<p>Is the command applicable to the current command line?\n<p>@return [Boolean]\n"],["debug","DotOpts","DotOpts.html#method-c-debug","(file, argv, env)","<p>Print message to stderr if dopts_debug flag it set.\n<p>@return [void]\n"],["environment","DotOpts::Command","DotOpts/Command.html#method-i-environment","()","<p>Environment settings.\n<p>@return [Hash]\n"],["new","DotOpts::Command","DotOpts/Command.html#method-c-new","(name, settings={})","<p>Initialize new instance of Command.\n<p>@param [String] name\n\n<pre>The name of the command. Can include subcommand, ...</pre>\n"],["new","DotOpts::Parser","DotOpts/Parser.html#method-c-new","(text)","<p>Initialize new instance.\n<p>@param [#to_s] text\n"],["options_file","DotOpts","DotOpts.html#method-c-options_file","()","<p>Returns the options file of the current project.\n<p>@return [String] The options file of the project.\n"],["parse","DotOpts::Parser","DotOpts/Parser.html#method-c-parse","(text)","<p>Convenience constructor for ‘new(text).parse`.\n<p>@return [Parser]\n"],["parse","DotOpts::Parser","DotOpts/Parser.html#method-i-parse","()","<p>Parse the configuration text.\n"],["parse_command","DotOpts::Parser","DotOpts/Parser.html#method-i-parse_command","(lines)","<p>Parse lines from command onward until another profile or end of document is reached.\n<p>@return [void]\n"],["parse_profiles","DotOpts::Parser","DotOpts/Parser.html#method-i-parse_profiles","(lines)",""],["profile","DotOpts::Command","DotOpts/Command.html#method-i-profile","()","<p>Profile designation.\n<p>@return [String,nil]\n"],["profile=","DotOpts::Command","DotOpts/Command.html#method-i-profile-3D","(profile)","<p>Set profile designation.\n<p>@param [String,nil] \n\n<pre>The profile designation.</pre>\n"],["profile?","DotOpts::Command","DotOpts/Command.html#method-i-profile-3F","()","<p>Does the command’s profile match the current environment?\n<p>@return [Boolean]\n"],["project_root","DotOpts","DotOpts.html#method-c-project_root","(start_dir=Dir.pwd)","<p>Find the root directory of the current project.\n<p>@return [String,nil] The root directory of the project. …\n"],["read_config","DotOpts","DotOpts.html#method-c-read_config","(io)","<p>Take an IO object and read it in. If it is a File object also return the file name. Strings are passed …\n"],["remove_blanks","DotOpts::Parser","DotOpts/Parser.html#method-i-remove_blanks","(lines)","<p>Remove intialize blank lines for an array of strings.\n<p>@param [Array&lt;String&gt;] lines\n<p>@return [Array&lt;String&gt;] …\n"],["shellwords","DotOpts::Command","DotOpts/Command.html#method-i-shellwords","(value)","<p>Split a string up into shellwords.\n<p>@return [Array]\n"],["subenv","DotOpts::Command","DotOpts/Command.html#method-i-subenv","(value)","<p>Substitute environment variables.\n<p>@return [String]\n"],["HISTORY","","HISTORY_md.html","","<p>RELEASE HISTORY\n<p>0.2.0 / 2013-02-16\n<p>Rethought overall design and reimplemented parser. The syntax of option …\n"],["LICENSE","","LICENSE_txt.html","","<p>BSD-2-Clause License\n<p>Redistribution and use in source and binary forms, with or without modification, …\n"],["README","","README_md.html","","<p>DotOpts\n<p><strong>Automated Command-line Options (for Ruby Executables)</strong>\n<p>Website /\nReport Issue /\nSource Code /\n<img ...\n"]]}}